See <https://jenkins.debian.net/job/haskell-package-plan/2149/display/redirect>

------------------------------------------
[...truncated 132.22 KB...]
Setting up libhttp-message-perl (6.14-1) ...
Setting up g++ (4:7.2.0-1d1) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto 
mode
Setting up libxml-libxml-perl (2.0128+dfsg-5) ...
update-perl-sax-parsers: Registering Perl SAX parser XML::LibXML::SAX::Parser 
with priority 50...
update-perl-sax-parsers: Registering Perl SAX parser XML::LibXML::SAX with 
priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Setting up openssh-client (1:7.6p1-4) ...
Setting up libparams-classify-perl (0.015-1) ...
Setting up libhttp-negotiate-perl (6.00-2) ...
Setting up libtool (2.4.6-2) ...
Setting up libgsasl7 (1.8.0-8+b2) ...
Setting up libmailutils5:amd64 (1:3.4-1) ...
Setting up libmailtools-perl (2.18-1) ...
Setting up libhtml-format-perl (2.12-1) ...
Setting up libemail-valid-perl (1.202-1) ...
Setting up libhttp-cookies-perl (6.04-1) ...
Setting up build-essential (12.4) ...
Setting up libcurl3:amd64 (7.58.0-2) ...
Setting up libcurl3-gnutls:amd64 (7.58.0-2) ...
Setting up libmodule-runtime-perl (0.016-1) ...
Setting up libhttp-daemon-perl (6.01-1) ...
Setting up mailutils (1:3.4-1) ...
update-alternatives: using /usr/bin/frm.mailutils to provide /usr/bin/frm (frm) 
in auto mode
update-alternatives: using /usr/bin/from.mailutils to provide /usr/bin/from 
(from) in auto mode
update-alternatives: using /usr/bin/messages.mailutils to provide 
/usr/bin/messages (messages) in auto mode
update-alternatives: using /usr/bin/movemail.mailutils to provide 
/usr/bin/movemail (movemail) in auto mode
update-alternatives: using /usr/bin/readmsg.mailutils to provide 
/usr/bin/readmsg (readmsg) in auto mode
update-alternatives: using /usr/bin/dotlock.mailutils to provide 
/usr/bin/dotlock (dotlock) in auto mode
update-alternatives: using /usr/bin/mail.mailutils to provide /usr/bin/mailx 
(mailx) in auto mode
Setting up libxml-simple-perl (2.24-1) ...
Setting up lintian (2.5.75) ...
Setting up libhtml-form-perl (6.03-1) ...
Setting up git (1:2.16.1-1) ...
Setting up libmime-tools-perl (5.509-1) ...
Setting up libgit-wrapper-perl (0.047-1) ...
Setting up libimport-into-perl (1.002005-1) ...
Setting up libmodule-implementation-perl (0.09-1) ...
Setting up curl (7.58.0-2) ...
Setting up libparams-validate-perl (1.29-1) ...
Setting up libmoo-perl (2.003004-1) ...
Setting up libb-hooks-endofscope-perl (0.21-1) ...
Setting up libpackage-stash-perl (0.37-1) ...
Setting up libgetopt-long-descriptive-perl (0.101-1) ...
Setting up libnamespace-clean-perl (0.27-1) ...
Setting up licensecheck (3.0.31-2) ...
Setting up python3.6 (3.6.4-4) ...
Setting up dh-autoreconf (16) ...
Setting up python3 (3.6.4-1) ...
Setting up python3-magic (2:0.4.15-1) ...
Setting up python3-idna (2.6-1) ...
Setting up python3-xdg (0.25-4) ...
Setting up python3-six (1.11.0-2) ...
Setting up python3-certifi (2018.1.18-2) ...
Setting up devscripts (2.17.12) ...
Setting up python3-pkg-resources (38.4.0-1) ...
Setting up python3-gpg (1.10.0-2) ...
Setting up lsb-release (9.20170808) ...
Setting up python3-chardet (3.0.4-1) ...
Setting up python3-urllib3 (1.22-1) ...
Setting up python3-unidiff (0.5.4-1) ...
Setting up python3-lib2to3 (3.6.4-4) ...
Setting up dh-python (2.20170125) ...
Setting up python3-debian (0.1.32) ...
Setting up python3-distutils (3.6.4-4) ...
Setting up libwww-perl (6.31-1) ...
Setting up debhelper (11.1.4) ...
Setting up equivs (2.1.0) ...
Setting up python3-apt (1.4.0~beta3+b1) ...
Setting up liblwp-protocol-https-perl (6.07-2) ...
Setting up dh-strip-nondeterminism (0.040-1) ...
Setting up dput (1.0.1) ...
Setting up libxml-parser-perl (2.44-2+b3) ...
Setting up python3-requests (2.18.4-2) ...
Setting up libxml-sax-expat-perl (0.40-2) ...
update-perl-sax-parsers: Registering Perl SAX parser XML::SAX::Expat with 
priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Setting up libsoap-lite-perl (1.26-1) ...
Setting up libxmlrpc-lite-perl (0.717-1) ...
Processing triggers for libc-bin (2.26-6) ...
Processing triggers for ca-certificates (20170717) ...
Updating certificates in /etc/ssl/certs...
0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...
done.
Reading package lists...
Building dependency tree...
Reading state information...
dctrl-tools is already the newest version (2.24-2+b1).
dctrl-tools set to manually installed.
libdpkg-perl is already the newest version (1.19.0.5).
libdpkg-perl set to manually installed.
libipc-run-perl is already the newest version (0.96-1).
libipc-run-perl set to manually installed.
liblist-moreutils-perl is already the newest version (0.416-1+b3).
liblist-moreutils-perl set to manually installed.
patchutils is already the newest version (0.3.4-2).
patchutils set to manually installed.
The following additional packages will be installed:
  libbsd-dev libffi-dev libgmp-dev libgmpxx4ldbl libncurses5-dev libtinfo-dev
Suggested packages:
  ghc-prof ghc-doc haskell-doc llvm-3.7 gmp-doc libgmp10-doc libmpfr-dev
  ncurses-doc
The following NEW packages will be installed:
  cabal-install ghc libbsd-dev libffi-dev libfile-slurp-perl libgmp-dev
  libgmpxx4ldbl libncurses5-dev libtext-patch-perl libtinfo-dev
0 upgraded, 10 newly installed, 0 to remove and 0 not upgraded.
Need to get 48.9 MB of archives.
After this operation, 589 MB of additional disk space will be used.
Get:1 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libgmpxx4ldbl 
amd64 2:6.1.2+dfsg-2 [22.5 kB]
Get:2 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libgmp-dev amd64 
2:6.1.2+dfsg-2 [632 kB]
Get:3 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libffi-dev amd64 
3.2.1-8 [156 kB]
Get:4 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libbsd-dev amd64 
0.8.7-1 [202 kB]
Get:5 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libtinfo-dev amd64 
6.1-1 [81.2 kB]
Get:6 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libncurses5-dev 
amd64 6.1-1 [174 kB]
Get:7 http://cdn-fastly.deb.debian.org/debian sid/main amd64 ghc amd64 8.0.2-11 
[44.9 MB]
Get:8 http://cdn-fastly.deb.debian.org/debian sid/main amd64 cabal-install 
amd64 1.24.0.2-2 [2744 kB]
Get:9 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libfile-slurp-perl 
all 9999.19-6 [43.2 kB]
Get:10 http://cdn-fastly.deb.debian.org/debian sid/main amd64 
libtext-patch-perl all 1.8-1 [9444 B]
Fetched 48.9 MB in 3s (18.3 MB/s)
E: Can not write log (Is /dev/pts mounted?) - posix_openpt (19: No such device)
Selecting previously unselected package libgmpxx4ldbl:amd64.
(Reading database ... 29119 files and directories currently installed.)
Preparing to unpack .../0-libgmpxx4ldbl_2%3a6.1.2+dfsg-2_amd64.deb ...
Unpacking libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-2) ...
Selecting previously unselected package libgmp-dev:amd64.
Preparing to unpack .../1-libgmp-dev_2%3a6.1.2+dfsg-2_amd64.deb ...
Unpacking libgmp-dev:amd64 (2:6.1.2+dfsg-2) ...
Selecting previously unselected package libffi-dev:amd64.
Preparing to unpack .../2-libffi-dev_3.2.1-8_amd64.deb ...
Unpacking libffi-dev:amd64 (3.2.1-8) ...
Selecting previously unselected package libbsd-dev:amd64.
Preparing to unpack .../3-libbsd-dev_0.8.7-1_amd64.deb ...
Unpacking libbsd-dev:amd64 (0.8.7-1) ...
Selecting previously unselected package libtinfo-dev:amd64.
Preparing to unpack .../4-libtinfo-dev_6.1-1_amd64.deb ...
Unpacking libtinfo-dev:amd64 (6.1-1) ...
Selecting previously unselected package libncurses5-dev:amd64.
Preparing to unpack .../5-libncurses5-dev_6.1-1_amd64.deb ...
Unpacking libncurses5-dev:amd64 (6.1-1) ...
Selecting previously unselected package ghc.
Preparing to unpack .../6-ghc_8.0.2-11_amd64.deb ...
Unpacking ghc (8.0.2-11) ...
Selecting previously unselected package cabal-install.
Preparing to unpack .../7-cabal-install_1.24.0.2-2_amd64.deb ...
Unpacking cabal-install (1.24.0.2-2) ...
Selecting previously unselected package libfile-slurp-perl.
Preparing to unpack .../8-libfile-slurp-perl_9999.19-6_all.deb ...
Unpacking libfile-slurp-perl (9999.19-6) ...
Selecting previously unselected package libtext-patch-perl.
Preparing to unpack .../9-libtext-patch-perl_1.8-1_all.deb ...
Unpacking libtext-patch-perl (1.8-1) ...
Setting up libfile-slurp-perl (9999.19-6) ...
Setting up libbsd-dev:amd64 (0.8.7-1) ...
Setting up libtinfo-dev:amd64 (6.1-1) ...
Setting up libffi-dev:amd64 (3.2.1-8) ...
Setting up libncurses5-dev:amd64 (6.1-1) ...
Processing triggers for libc-bin (2.26-6) ...
Processing triggers for man-db (2.8.1-1) ...
Setting up libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-2) ...
Setting up libtext-patch-perl (1.8-1) ...
Setting up libgmp-dev:amd64 (2:6.1.2+dfsg-2) ...
Setting up ghc (8.0.2-11) ...
update-alternatives: using /usr/bin/runghc to provide /usr/bin/runhaskell 
(runhaskell) in auto mode
update-alternatives: using /usr/bin/ghc to provide /usr/bin/haskell-compiler 
(haskell-compiler) in auto mode
Setting up cabal-install (1.24.0.2-2) ...
Processing triggers for libc-bin (2.26-6) ...
Config file path source is default config file.
Config file /root/.cabal/config not found.
Writing default configuration to /root/.cabal/config
Downloading the latest package list from hackage.haskell.org
Reading packages.txt...
Reading lts.config...
Reading available versions...
Reading available binary versions...
Calculating availability...
Checking for outdated entries...
Added:    cmark-gfm is 0.1.3 here but does not exist in the archive.
Added:    keysafe is 0.20170811 here but does not exist in the archive.
Updated:  lambdabot is 5.1 in the archive but 5.1.0.1 exists here.
Updated:  lambdabot-haskell-plugins is 5.1 in the archive but 5.1.0.1 exists 
here.
Added:    network-uri-flag is 0.1 here but does not exist in the archive.
Added:    pandoc-citeproc-preamble is 1.2.3 here but does not exist in the 
archive.
OLD:      propellor is 5.3.1 here but 5.3.2 exists in the archive.
Added:    relational-record is 0.1.8.0 here but does not exist in the archive.
Added:    stylish-haskell is 0.8.1.0 here but does not exist in the archive.
Updated:  yi is 0.12.6 in the archive but 0.13.7 exists here.
Added:    yi-keymap-emacs is 0.14.1 here but does not exist in the archive.
Added:    yi-keymap-vim is 0.14.1 here but does not exist in the archive.
(Re-)Creating local hackage "repository"...
Reading 00-list.tar...
Adding additional packages...
Applying patches to repository .cabal files...
Patching aeson-compat.cabal (version 0.3.6)
Patching binary-parsers.cabal (version 0.2.3.0)
Patching binary-tagged.cabal (version 0.1.4.2)
Patching chell-quickcheck.cabal (version 0.2.5)
Patching conduit-extra.cabal (version 1.1.17)
Patching darcs-monitor.cabal (version 0.4.2)
Patching dns.cabal (version 2.0.13)
Patching ed25519.cabal (version 0.0.5.0)
Patching fdo-notify.cabal (version 0.3.1)
Patching file-location.cabal (version 0.4.9)
Patching github-backup.cabal (version 1.20170301)
Patching happstack-authenticate.cabal (version 2.3.4.7)
Patching haxr.cabal (version 3000.11.2)
Patching hledger-lib.cabal (version 1.2)
Patching hledger.cabal (version 1.2)
Patching hothasktags.cabal (version 0.3.8)
Patching http2.cabal (version 1.6.3)
Patching io-streams.cabal (version 1.4.1.0)
Patching kan-extensions.cabal (version 5.0.2)
Patching MonadRandom.cabal (version 0.5.1)
Patching pandoc.cabal (version 1.19.2.4)
Patching pipes-zlib.cabal (version 0.4.4.1)
Patching postgresql-simple.cabal (version 0.5.3.0)
Patching publicsuffixlist.cabal (version 0.1)
Patching rss2irc.cabal (version 1.1)
Patching shelltestrunner.cabal (version 1.3.5)
Patching snap-core.cabal (version 1.0.3.1)
Patching snap-server.cabal (version 1.0.3.3)
Patching snap-templates.cabal (version 1.0.0.0)
Patching snap.cabal (version 1.0.0.2)
Patching stack.cabal (version 1.5.1)
Patching store-core.cabal (version 0.4.1)
Patching tasty-golden.cabal (version 2.3.1.2)
Patching text-show.cabal (version 3.6)
Patching wai-app-file-cgi.cabal (version 3.1.3)
Patching wai.cabal (version 3.2.1.1)
Patching warp.cabal (version 3.2.13)
Patching werewolf.cabal (version 1.5.1.1)
Patching wl-pprint-extras.cabal (version 3.5.0.5)
Patching wl-pprint-terminfo.cabal (version 3.7.1.4)
Patching xmlhtml.cabal (version 0.2.5.2)
Patching xmonad-wallpaper.cabal (version 0.0.1.4)
Patching yesod-auth-oauth.cabal (version 1.4.2)
Writing 00-list.tar...
Creating fake global package db
Testing packages in 1 different groups
Running cabal-install (group default)...
942 packages successfully tested for co-installability.
43 packages carry Debian-specific patches.
316 packages have newer versions on hackage
1 error(s) in total.
'/chroots/chroot-run-sid.VLlUHXQee/tmp/testrun/stats.csv' -> 
'<https://jenkins.debian.net/job/haskell-package-plan/ws/stats.csv'>
Mon 19 Feb 17:27:02 UTC 2018 - /srv/jenkins/bin/chroot-run.sh stopped running 
as /tmp/jenkins-script-WFO6cmOD, which will now be removed.
Build step 'Execute shell' marked build as failure

_______________________________________________
Pkg-haskell-maintainers mailing list
Pkg-haskell-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-haskell-maintainers

Reply via email to